Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.0.0.0/3
Usable hosts536,870,910
Subnet mask224.0.0.0
Addresses536,870,912
Network address
224.0.0.0
Broadcast address
255.255.255.255
First usable
224.0.0.1
Last usable
255.255.255.254
Usable hosts
536,870,910 (536,870,912 less the network and broadcast addresses)
Subnet mask
224.0.0.0
Wildcard mask
31.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/3
Type
Public public
Old class
D (multicast)
As numbers
Hex E0000000 · Integer 3758096384 to 4294967295
Reverse DNS zones
224.in-addr.arpa
225.in-addr.arpa
226.in-addr.arpa
227.in-addr.arpa
228.in-addr.arpa
229.in-addr.arpa
230.in-addr.arpa
231.in-addr.arpa
232.in-addr.arpa
233.in-addr.arpa
234.in-addr.arpa
235.in-addr.arpa
236.in-addr.arpa
237.in-addr.arpa
238.in-addr.arpa
239.in-addr.arpa
and 16 more
/3 is not on a 8-bit boundary, so it takes 32 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000000.00000000.00000000224.0.0.0
Subnet mask11100000.00000000.00000000.00000000224.0.0.0
Network11100000.00000000.00000000.00000000224.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/10

224.0.0.0/3 makes 128 subnets of /10.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.0.0.0/10224.0.0.1 to 224.63.255.254224.63.255.2554,194,302
2224.64.0.0/10224.64.0.1 to 224.127.255.254224.127.255.2554,194,302
3224.128.0.0/10224.128.0.1 to 224.191.255.254224.191.255.2554,194,302
4224.192.0.0/10224.192.0.1 to 224.255.255.254224.255.255.2554,194,302
5225.0.0.0/10225.0.0.1 to 225.63.255.254225.63.255.2554,194,302
6225.64.0.0/10225.64.0.1 to 225.127.255.254225.127.255.2554,194,302
7225.128.0.0/10225.128.0.1 to 225.191.255.254225.191.255.2554,194,302
8225.192.0.0/10225.192.0.1 to 225.255.255.254225.255.255.2554,194,302
9226.0.0.0/10226.0.0.1 to 226.63.255.254226.63.255.2554,194,302
10226.64.0.0/10226.64.0.1 to 226.127.255.254226.127.255.2554,194,302
11226.128.0.0/10226.128.0.1 to 226.191.255.254226.191.255.2554,194,302
12226.192.0.0/10226.192.0.1 to 226.255.255.254226.255.255.2554,194,302
13227.0.0.0/10227.0.0.1 to 227.63.255.254227.63.255.2554,194,302
14227.64.0.0/10227.64.0.1 to 227.127.255.254227.127.255.2554,194,302
15227.128.0.0/10227.128.0.1 to 227.191.255.254227.191.255.2554,194,302
16227.192.0.0/10227.192.0.1 to 227.255.255.254227.255.255.2554,194,302
17228.0.0.0/10228.0.0.1 to 228.63.255.254228.63.255.2554,194,302
18228.64.0.0/10228.64.0.1 to 228.127.255.254228.127.255.2554,194,302
19228.128.0.0/10228.128.0.1 to 228.191.255.254228.191.255.2554,194,302
20228.192.0.0/10228.192.0.1 to 228.255.255.254228.255.255.2554,194,302
21229.0.0.0/10229.0.0.1 to 229.63.255.254229.63.255.2554,194,302
22229.64.0.0/10229.64.0.1 to 229.127.255.254229.127.255.2554,194,302
23229.128.0.0/10229.128.0.1 to 229.191.255.254229.191.255.2554,194,302
24229.192.0.0/10229.192.0.1 to 229.255.255.254229.255.255.2554,194,302
25230.0.0.0/10230.0.0.1 to 230.63.255.254230.63.255.2554,194,302
26230.64.0.0/10230.64.0.1 to 230.127.255.254230.127.255.2554,194,302
27230.128.0.0/10230.128.0.1 to 230.191.255.254230.191.255.2554,194,302
28230.192.0.0/10230.192.0.1 to 230.255.255.254230.255.255.2554,194,302
29231.0.0.0/10231.0.0.1 to 231.63.255.254231.63.255.2554,194,302
30231.64.0.0/10231.64.0.1 to 231.127.255.254231.127.255.2554,194,302
31231.128.0.0/10231.128.0.1 to 231.191.255.254231.191.255.2554,194,302
32231.192.0.0/10231.192.0.1 to 231.255.255.254231.255.255.2554,194,302
33232.0.0.0/10232.0.0.1 to 232.63.255.254232.63.255.2554,194,302
34232.64.0.0/10232.64.0.1 to 232.127.255.254232.127.255.2554,194,302
35232.128.0.0/10232.128.0.1 to 232.191.255.254232.191.255.2554,194,302
36232.192.0.0/10232.192.0.1 to 232.255.255.254232.255.255.2554,194,302
37233.0.0.0/10233.0.0.1 to 233.63.255.254233.63.255.2554,194,302
38233.64.0.0/10233.64.0.1 to 233.127.255.254233.127.255.2554,194,302
39233.128.0.0/10233.128.0.1 to 233.191.255.254233.191.255.2554,194,302
40233.192.0.0/10233.192.0.1 to 233.255.255.254233.255.255.2554,194,302
41234.0.0.0/10234.0.0.1 to 234.63.255.254234.63.255.2554,194,302
42234.64.0.0/10234.64.0.1 to 234.127.255.254234.127.255.2554,194,302
43234.128.0.0/10234.128.0.1 to 234.191.255.254234.191.255.2554,194,302
44234.192.0.0/10234.192.0.1 to 234.255.255.254234.255.255.2554,194,302
45235.0.0.0/10235.0.0.1 to 235.63.255.254235.63.255.2554,194,302
46235.64.0.0/10235.64.0.1 to 235.127.255.254235.127.255.2554,194,302
47235.128.0.0/10235.128.0.1 to 235.191.255.254235.191.255.2554,194,302
48235.192.0.0/10235.192.0.1 to 235.255.255.254235.255.255.2554,194,302
49236.0.0.0/10236.0.0.1 to 236.63.255.254236.63.255.2554,194,302
50236.64.0.0/10236.64.0.1 to 236.127.255.254236.127.255.2554,194,302
51236.128.0.0/10236.128.0.1 to 236.191.255.254236.191.255.2554,194,302
52236.192.0.0/10236.192.0.1 to 236.255.255.254236.255.255.2554,194,302
53237.0.0.0/10237.0.0.1 to 237.63.255.254237.63.255.2554,194,302
54237.64.0.0/10237.64.0.1 to 237.127.255.254237.127.255.2554,194,302
55237.128.0.0/10237.128.0.1 to 237.191.255.254237.191.255.2554,194,302
56237.192.0.0/10237.192.0.1 to 237.255.255.254237.255.255.2554,194,302
57238.0.0.0/10238.0.0.1 to 238.63.255.254238.63.255.2554,194,302
58238.64.0.0/10238.64.0.1 to 238.127.255.254238.127.255.2554,194,302
59238.128.0.0/10238.128.0.1 to 238.191.255.254238.191.255.2554,194,302
60238.192.0.0/10238.192.0.1 to 238.255.255.254238.255.255.2554,194,302
61239.0.0.0/10239.0.0.1 to 239.63.255.254239.63.255.2554,194,302
62239.64.0.0/10239.64.0.1 to 239.127.255.254239.127.255.2554,194,302
63239.128.0.0/10239.128.0.1 to 239.191.255.254239.191.255.2554,194,302
64239.192.0.0/10239.192.0.1 to 239.255.255.254239.255.255.2554,194,302
65240.0.0.0/10240.0.0.1 to 240.63.255.254240.63.255.2554,194,302
66240.64.0.0/10240.64.0.1 to 240.127.255.254240.127.255.2554,194,302
67240.128.0.0/10240.128.0.1 to 240.191.255.254240.191.255.2554,194,302
68240.192.0.0/10240.192.0.1 to 240.255.255.254240.255.255.2554,194,302
69241.0.0.0/10241.0.0.1 to 241.63.255.254241.63.255.2554,194,302
70241.64.0.0/10241.64.0.1 to 241.127.255.254241.127.255.2554,194,302
71241.128.0.0/10241.128.0.1 to 241.191.255.254241.191.255.2554,194,302
72241.192.0.0/10241.192.0.1 to 241.255.255.254241.255.255.2554,194,302
73242.0.0.0/10242.0.0.1 to 242.63.255.254242.63.255.2554,194,302
74242.64.0.0/10242.64.0.1 to 242.127.255.254242.127.255.2554,194,302
75242.128.0.0/10242.128.0.1 to 242.191.255.254242.191.255.2554,194,302
76242.192.0.0/10242.192.0.1 to 242.255.255.254242.255.255.2554,194,302
77243.0.0.0/10243.0.0.1 to 243.63.255.254243.63.255.2554,194,302
78243.64.0.0/10243.64.0.1 to 243.127.255.254243.127.255.2554,194,302
79243.128.0.0/10243.128.0.1 to 243.191.255.254243.191.255.2554,194,302
80243.192.0.0/10243.192.0.1 to 243.255.255.254243.255.255.2554,194,302
81244.0.0.0/10244.0.0.1 to 244.63.255.254244.63.255.2554,194,302
82244.64.0.0/10244.64.0.1 to 244.127.255.254244.127.255.2554,194,302
83244.128.0.0/10244.128.0.1 to 244.191.255.254244.191.255.2554,194,302
84244.192.0.0/10244.192.0.1 to 244.255.255.254244.255.255.2554,194,302
85245.0.0.0/10245.0.0.1 to 245.63.255.254245.63.255.2554,194,302
86245.64.0.0/10245.64.0.1 to 245.127.255.254245.127.255.2554,194,302
87245.128.0.0/10245.128.0.1 to 245.191.255.254245.191.255.2554,194,302
88245.192.0.0/10245.192.0.1 to 245.255.255.254245.255.255.2554,194,302
89246.0.0.0/10246.0.0.1 to 246.63.255.254246.63.255.2554,194,302
90246.64.0.0/10246.64.0.1 to 246.127.255.254246.127.255.2554,194,302
91246.128.0.0/10246.128.0.1 to 246.191.255.254246.191.255.2554,194,302
92246.192.0.0/10246.192.0.1 to 246.255.255.254246.255.255.2554,194,302
93247.0.0.0/10247.0.0.1 to 247.63.255.254247.63.255.2554,194,302
94247.64.0.0/10247.64.0.1 to 247.127.255.254247.127.255.2554,194,302
95247.128.0.0/10247.128.0.1 to 247.191.255.254247.191.255.2554,194,302
96247.192.0.0/10247.192.0.1 to 247.255.255.254247.255.255.2554,194,302
97248.0.0.0/10248.0.0.1 to 248.63.255.254248.63.255.2554,194,302
98248.64.0.0/10248.64.0.1 to 248.127.255.254248.127.255.2554,194,302
99248.128.0.0/10248.128.0.1 to 248.191.255.254248.191.255.2554,194,302
100248.192.0.0/10248.192.0.1 to 248.255.255.254248.255.255.2554,194,302
101249.0.0.0/10249.0.0.1 to 249.63.255.254249.63.255.2554,194,302
102249.64.0.0/10249.64.0.1 to 249.127.255.254249.127.255.2554,194,302
103249.128.0.0/10249.128.0.1 to 249.191.255.254249.191.255.2554,194,302
104249.192.0.0/10249.192.0.1 to 249.255.255.254249.255.255.2554,194,302
105250.0.0.0/10250.0.0.1 to 250.63.255.254250.63.255.2554,194,302
106250.64.0.0/10250.64.0.1 to 250.127.255.254250.127.255.2554,194,302
107250.128.0.0/10250.128.0.1 to 250.191.255.254250.191.255.2554,194,302
108250.192.0.0/10250.192.0.1 to 250.255.255.254250.255.255.2554,194,302
109251.0.0.0/10251.0.0.1 to 251.63.255.254251.63.255.2554,194,302
110251.64.0.0/10251.64.0.1 to 251.127.255.254251.127.255.2554,194,302
111251.128.0.0/10251.128.0.1 to 251.191.255.254251.191.255.2554,194,302
112251.192.0.0/10251.192.0.1 to 251.255.255.254251.255.255.2554,194,302
113252.0.0.0/10252.0.0.1 to 252.63.255.254252.63.255.2554,194,302
114252.64.0.0/10252.64.0.1 to 252.127.255.254252.127.255.2554,194,302
115252.128.0.0/10252.128.0.1 to 252.191.255.254252.191.255.2554,194,302
116252.192.0.0/10252.192.0.1 to 252.255.255.254252.255.255.2554,194,302
117253.0.0.0/10253.0.0.1 to 253.63.255.254253.63.255.2554,194,302
118253.64.0.0/10253.64.0.1 to 253.127.255.254253.127.255.2554,194,302
119253.128.0.0/10253.128.0.1 to 253.191.255.254253.191.255.2554,194,302
120253.192.0.0/10253.192.0.1 to 253.255.255.254253.255.255.2554,194,302
121254.0.0.0/10254.0.0.1 to 254.63.255.254254.63.255.2554,194,302
122254.64.0.0/10254.64.0.1 to 254.127.255.254254.127.255.2554,194,302
123254.128.0.0/10254.128.0.1 to 254.191.255.254254.191.255.2554,194,302
124254.192.0.0/10254.192.0.1 to 254.255.255.254254.255.255.2554,194,302
125255.0.0.0/10255.0.0.1 to 255.63.255.254255.63.255.2554,194,302
126255.64.0.0/10255.64.0.1 to 255.127.255.254255.127.255.2554,194,302
127255.128.0.0/10255.128.0.1 to 255.191.255.254255.191.255.2554,194,302
128255.192.0.0/10255.192.0.1 to 255.255.255.254255.255.255.2554,194,302

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses